Package twisted :: Package protocols :: Package jabber :: Module client

[frames | no frames]

## Module twisted.protocols.jabber.client

Classes
`BasicAuthenticator` | Authenticates an XmlStream against a Jabber server as a Client
`IQ` | Wrapper for a Info/Query packet

Function Summary
| `basicClientFactory(jid, secret)`

Variable Summary
`XPathQuery` | `DigestAuthQry` = `<twisted.xish.xpath.XPathQuery instance ...`
`XPathQuery` | `PlaintextAuthQry` = `<twisted.xish.xpath.XPathQuery instan...`

Variable Details

### DigestAuthQry

  Type:
    `XPathQuery`
  Value:

        <twisted.xish.xpath.XPathQuery instance at 0x8c82754>

### PlaintextAuthQry

  Type:
    `XPathQuery`
  Value:

        <twisted.xish.xpath.XPathQuery instance at 0x877cb4c>

Generated by Epydoc 2.0 on Sat May 15 20:08:03 2004 | http://epydoc.sf.net